SELECT
    camProcessedExp.*
FROM warpRun
JOIN warpInputExp
    USING(warp_id)
JOIN camProcessedExp
    ON warpInputExp.cam_id = camProcessedExp.cam_id
WHERE
    warpRun.state = 'run'
    AND camProcessedExp.fault = 0
